Bug 8017 - Kurdish Arabic Keyboard for X ready
Summary: Kurdish Arabic Keyboard for X ready
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high normal
Assignee: xkb
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-26 04:30 UTC by Erdal Ronahi
Modified: 2006-11-19 05:08 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erdal Ronahi 2006-08-26 04:30:53 UTC
I have developed a Kurdish Arabic-Latin keyboard for X. The Arabic
keymap is taken from the de-facto standard under Windows, the keyboard
developed by the Kurd IT Group (kurditgroup.org).

The Level 3 and 4 latin keyboard is the American standard keyboard
with 5 additional Kurdish-Latin characters.

I started from the Persian keyboard, but because only two keys
remained unchanged, it doesn't make much sense to include "ir (basic)".

I would like to see this included into "ir" first, because the
alternative characters are more useful for Farsi. For the Iraqi (iq)
variant I may change some keys.

Please let me know if anything is missing or wrong.

Sorry for posting this before to the list without filing a bugreport.

Best regards,

Erdal
---------------

// Addition to $XKeyboardConfig: xkbdesc/symbols/ir, v 2006-08-22 
// Kurdish Soranî Bahdînî (Arabic) keyboard layout,
// based on the Kurdî Soranî Bahdînî keyboard from KurdITGroup
// which is based on National Iranian Keyboard Standard (ISIRI 2901:1994),
// with additions.
//
// Copyright (C) 2006 Erdal Ronahî, published under the GPL v2
//
// Author: Erdal Ronahî  <erdal.ronahi@gmail.com>
//

// Kurdish Arabic-Latin Layout for Soranî
partial alphanumeric_keys
xkb_symbols "ku_ar" {
    name[Group1]= "Iran - Kurdish, Arabic-Latin";

    // Other 3-Level symbols
    key <TLDE> { [ 0x100200d,		division,		asciitilde	] };
    key <BKSL> { [ backslash,		bar,			ccedilla, Ccedilla	] };
    key <SPCE> { [ space,		0x100200c,		nobreakspace	] };

    // Digits
    key <AE01> { [ 1,	exclam,		0x10006f1,	quoteleft	] };
    key <AE02> { [ 2,	at, 		0x10006f2,	at		] };
    key <AE03> { [ 3,	numbersign,	0x10006f3,	0x100066b	] };
    key <AE04> { [ 4,	dollar,		0x10006f4, 	0x100fdfc	] };
    key <AE05> { [ 5,	percent,	0x10006f5,	0x100066a	] };
    key <AE06> { [ 6,	asciicircum,	0x10006f6,	multiply	] };
    key <AE07> { [ 7,	ampersand,	0x10006f7, 	Arabic_comma	] };
    key <AE08> { [ 8,	asterisk,	0x10006f8,	enfilledcircbullet	] };
    key <AE09> { [ 9,	parenright,	0x10006f9,	0x100200e	] };
    key <AE10> { [ 0,	parenleft,	0x10006f0,	0x100200f	] };
    key <AE11> { [ minus,		Arabic_tatweel,		underscore	] };
    key <AE12> { [ equal,		plus,			0x1002212	] };

    key <AD01> { [         Arabic_qaf,            X,  q,  Q ] };
    key <AD02> { [         Arabic_waw,            X,  w,  W ] };
    key <AD03> { [         Arabic_heh,   Arabic_yeh,  e,  E ] };
//"0x10006d5" instead of "Arabic_heh" would be better, but it doesn't work
    key <AD04> { [         Arabic_ra ,    0x1000695,  r,  R ] };
    key <AD05> { [         Arabic_teh,   Arabic_tah,  t,  T ] };
    key <AD06> { [          0x10006cc,    0x10006ce,  y,  Y ] };
    key <AD07> { [  Arabic_hamzaonyeh, Arabic_hamza,  u,  U ] };
    key <AD08> { [         Arabic_hah,   Arabic_ain,  i,  I ] };
    key <AD09> { [          0x10006c6, Arabic_hamzaonwaw,  o,  O ] };
    key <AD10> { [          0x100067e,  Arabic_theh,  p,  P ] };
    key <AD11> { [ bracketright,	braceright,	ucircumflex, Ucircumflex	] };
    key <AD12> { [ bracketleft,		braceleft,	scedilla, Scedilla	] };

    key <AC01> { [ Arabic_alef,	Arabic_maddaonalef,	a, A	] };
    key <AC02> { [ Arabic_seen,		Arabic_sheen,	s, S	] };
    key <AC03> { [  Arabic_dal,		Arabic_thal,	d, D	] };
    key <AC04> { [  Arabic_feh,	Arabic_hamzaunderalef,	f, F	] };
    key <AC05> { [   0x10006af,		Arabic_ghain,	g, G	] };
    key <AC06> { [  Arabic_heh,		0x100200c,	h, H	] };
    key <AC07> { [   0x1000698,	Arabic_hamzaonalef,	j, J	] };
    key <AC08> { [   0x10006a9,		Arabic_kaf,	k, K	] };
    key <AC09> { [  Arabic_lam,		0x10006b5,	l, L	] };
    key <AC10> { [  Arabic_semicolon, 	colon,		ecircumflex, Ecircumflex	] };
    key <AC11> { [  apostrophe, 	quotedbl,	icircumflex, Icircumflex	] };

    key <AB01> { [ Arabic_zain,		Arabic_dad,	z, Z	] };
    key <AB02> { [ Arabic_khah,		Arabic_sad,	x, X	] };
    key <AB03> { [ Arabic_jeem,		0x1000686,	c, C	] };
    key <AB04> { [   0x10006a4,		Arabic_zah,	v, V	] };
    key <AB05> { [ Arabic_beh,		0x1000649,	b, B	] };
    key <AB06> { [ Arabic_noon,	Arabic_tehmarbuta,	n, N	] };
    key <AB07> { [ Arabic_meem,	Arabic_tatweel,		m, M	] };
    key <AB08> { [ Arabic_comma,	greater,	comma		] };
    key <AB09> { [ period,		less,		apostrophe	] };
    key <AB10> { [ slash,		Arabic_question_mark, 	question	] };

    include "level3(ralt_switch)"

};
Comment 1 Sergey V. Udaltsov 2006-09-01 17:27:07 UTC
Already committed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.